Search
Search
Searches workspace entities using hybrid lexical and semantic search across names, descriptions, comments/posts, area, project, and assignee context
Searches workspace entities using hybrid lexical and semantic search across names, descriptions, comments/posts, area, project, and assignee context
Query Parameters
q*string
Semantic/hybrid search query. Prefer a natural-language phrase describing what you are trying to find.
entity?string
Entity type to search
areaId?string
Filter by area ID
projectId?string
Filter by project ID
assigneeId?string
Filter by assignee ID
sourceType?string
Filter by matched source type
limit?integer
Number of results to return (max 50)
Response Body
application/json
curl -X GET "https://example.com/v1/search?q=string"{ "data": [ { "type": "task", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "name": "string", "summary": "string", "matchedSources": [ { "type": "entity", "id": "string", "url": "string", "highlights": [ "string" ], "authorName": "string" } ] } ], "hasMore": true}